View Issue Details

IDProjectCategoryView StatusLast Update
15024Bug reports[All Projects] Import/Exportpublic2019-08-26 17:50
Reporterbismark Assigned Top_teichmann  
PriorityhighSeverityblock 
Status closedResolutionfixed 
Product Version4.0.0-beta 
Target VersionFixed in Version4.0.0dev 
Summary15024: viewquexml internal server error
Description

response list click queXML PDF export
admin/responses/sa/viewquexmlpdf/surveyid/{sid}/id/1/browselang/

produces:

Column not found: 1054 Unknown column 'language' in 'where clause'

TagsNo tags attached.
Complete LimeSurvey version number (& build)develop
I will donate to the project if issue is resolvedNo
Browser
Database & DB-Version10.1.26-MariaDB
Server OS (if known)
Webserver software & version (if known)
PHP Version7.1.8

Activities

bismark

bismark

2019-07-04 11:37

reporter   ~52720

sample survey



survey_archive_874547.lsa (3,915 bytes)
Mazi

Mazi

2019-07-04 11:50

partner   ~52724

@cdorin, this blocks https://bugs.limesurvey.org/view.php?id=14668. Please assign to the appropriate developer.

cdorin

cdorin

2019-07-04 12:19

manager   ~52726

Last edited: 2019-07-04 12:20

View 2 revisions

Reproduced it with my developer branch installation. Assigned.

cdorin

cdorin

2019-07-05 16:54

manager   ~52771

@p_teichmann, there is a bug also when you click on the first action button (view response details):

500: Internal Server Error
Property "SurveyDynamic.tokens" is not defined

Mazi

Mazi

2019-07-26 09:10

partner   ~53017

@p_teichmann, can you please have a look at this one? It is preventing us from developing a feature for LS4 core.

p_teichmann

p_teichmann

2019-07-26 09:20

administrator   ~53018

@Mazi yes will be looking into it today

p_teichmann

p_teichmann

2019-07-29 11:18

administrator   ~53032

fixed in https://github.com/LimeSurvey/LimeSurvey/commit/2e0c96e7139f43d59f9ee1e20d91c55b4407874c

lime_release_bot

lime_release_bot

2019-08-26 17:50

developer   ~53271

Fixed in Release 4.0.0-RC3+190807

Issue History

Date Modified Username Field Change
2019-07-04 11:23 bismark New Issue
2019-07-04 11:37 bismark File Added: survey_archive_874547.lsa
2019-07-04 11:37 bismark Note Added: 52720
2019-07-04 11:50 Mazi Note Added: 52724
2019-07-04 12:19 cdorin Assigned To => p_teichmann
2019-07-04 12:19 cdorin Priority none => high
2019-07-04 12:19 cdorin Status new => assigned
2019-07-04 12:19 cdorin Note Added: 52726
2019-07-04 12:20 cdorin Note Edited: 52726 View Revisions
2019-07-05 16:54 cdorin Note Added: 52771
2019-07-26 09:10 Mazi Note Added: 53017
2019-07-26 09:20 p_teichmann Note Added: 53018
2019-07-29 11:18 p_teichmann Status assigned => resolved
2019-07-29 11:18 p_teichmann Resolution open => fixed
2019-07-29 11:18 p_teichmann Fixed in Version => 4.0.0dev
2019-07-29 11:18 p_teichmann Note Added: 53032
2019-08-26 17:50 lime_release_bot Note Added: 53271
2019-08-26 17:50 lime_release_bot Status resolved => closed